#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
Summary:	Net::SSLeay - Perl extension for using OpenSSL or SSLeay
Summary(pl.UTF-8):	Net::SSLeay - rozszerzenie Perla do używania OpenSSL lub SSLeay
Name:		perl-Net-SSLeay
Version:	1.94
Release:	2%{?tld}
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/Net-SSLeay-%{version}.tar.gz
# Source0-md5:	1b22c764e5a094c6261e37a4b1f148ce
Patch0:		%{name}-no_zlib.patch
URL:		https://metacpan.org/release/Net-SSLeay
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	openssl-tools >= 0.9.8
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-Test-Simple >= 0.60_01
%endif
Requires:	openssl >= 0.9.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module offers some high level convinience functions for accessing
web pages on SSL servers, a sslcat() function for writing your own
clients, and finally access to the SSL api of SSLeay/OpenSSL package
so you can write servers or clients for more complicated applications.

%description -l pl.UTF-8
Ten moduł oferuje kilka wygodnych funkcji wysokiego poziomu służących
do dostępu do stron WWW na serwerach SSL, funkcję sslcat() do pisania
własnych klientów, oraz dostęp do API SSL pakietu SSLeay/OpenSSL, co
pozwala na pisanie serwerów lub klientów dla bardziej skomplikowanych
aplikacji.

%prep
%setup -q -n Net-SSLeay-%{version}
%patch0 -p1

%build
echo "n" | %{__perl} Makefile.PL %{_prefix} \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:echo "n" | %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p examples/*.{pl,conf} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Net/SSLeay.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes Credits LICENSE QuickRef README
%{perl_vendorarch}/Net/SSLeay.pm
%{perl_vendorarch}/Net/SSLeay
%dir %{perl_vendorarch}/auto/Net/SSLeay
%{perl_vendorarch}/auto/Net/SSLeay/autosplit.ix
%{perl_vendorarch}/auto/Net/SSLeay/*.al
%attr(755,root,root) %{perl_vendorarch}/auto/Net/SSLeay/SSLeay.so
%{_mandir}/man3/Net::SSLeay*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Aug 17 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Net-SSLeay.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> a4e3df4
- perl 5.40.0 rebuild

* Wed Jan 17 2024 Jan Palus <atler@pld-linux.org> 08aabb7
- up to 1.94

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> b41227a
- perl 5.38.0 rebuild

* Sat May 20 2023 Jan Palus <atler@pld-linux.org> 7a0f4e5
- Release 4 (by relup.sh)

* Sun Aug 21 2022 Jan Palus <atler@pld-linux.org> 3b6ace3
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 6933b2a
- rebuild with perl 5.34.0

* Sun Jan 16 2022 Jan Palus <atler@pld-linux.org> 73fae37
- up to 1.92

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 2ef2b65
- rebuild with openssl 3.0.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> f138ee5
- rebuild with perl 5.32

* Mon Jan 25 2021 Jan Palus <atler@pld-linux.org> c222a71
- up to 1.90

* Sat May 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 77a922d
- macros for perl autodeps

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 50be1fa
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 5f34cf3
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Sat May 18 2019 Jan Palus <atler@pld-linux.org> 42a9c2b
- up to 1.88

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e3091be
- release 3 (by relup.sh)

* Sat Aug 25 2018 Marcin Krol <hawk@tld-linux.org> 283509a
- release 2

* Sun Apr 08 2018 Jan Palus <atler@pld-linux.org> 1310fbd
- up to 1.85

* Sat Jan 27 2018 Jan Palus <atler@pld-linux.org> fc4fa6c
- up to 1.84

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 8339a4d
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 1c99289
- rebuild with perl 5.26
- release 2 (by relup.sh)

